document.addEventListener('DOMContentLoaded', function() {
  const notes = document.getElementById('notes');
  const saveButton = document.getElementById('save');
  const clearButton = document.getElementById('clear');

  // Load saved notes from localStorage
  if (localStorage.getItem('notes')) {
    notes.value = localStorage.getItem('notes');
  }

  // Save notes to localStorage
  saveButton.addEventListener('click', function() {
    localStorage.setItem('notes', notes.value);
    alert('Notes saved!');
  });

  // Clear notes
  clearButton.addEventListener('click', function() {
    notes.value = '';
    localStorage.removeItem('notes');
    alert('Notes cleared!');
  });
});